﻿#include ../common/functions.jsx
#include shared/functions.jsx

function Calibrate()
{
	SetAOExport(x_ExportAO);
	updateDDS();
	
	var mapType = GetMapType();
	switch(mapType)
	{
		case "Normal":
        case "Bump":
            return GetBumpedNormal(mapType);
			
		case "Albedo":
			SetMapType("Diffuse");
            return GetMergedMap();

		case "Specular":
			var specular = GetMergedMap();
			var channels = specular.channels;
			exposure(0, 0, x_SpecularBrightness1);					// Brighter map (expose, offset, gamma)
			StoreActiveMapInChannel(specular , channels, 0);		// Store the active map in R
			StoreMapInChannel(specular, "AO", channels, 1);			// Store in G
			StoreMapInChannel(specular, "Dirt", channels, 2);		// Store in B
			
            return specular;
			
		case "AO":
		case "Dirt":
			return null;
			
		// case "Gloss":
			
		default:
			return GetMergedMap();
	}
}

function Finish()
{

}